Skip to navigation

Get Web Analytics Provider

Returns a single web analytics provider data for a default channel.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired
Web Analytics Provider ID.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Response

Successful operation.
idintegerOptional
Web Analytics Provider ID.
channel_idintegerOptional
Channels ID
namestringOptional
Web Analytics Provider title.
codestringOptional
Web Analytics Provider code.
enabledbooleanOptional
Flag indicates if Web Analytics Provider is enabled or not.
data_tag_enabledbooleanOptional
versiondoubleOptional
api_secretstringOptional

Errors

400
Bad Request Error
404
Not Found Error